在 educationSynchronizationProfile 上重置同步
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
重置租户中特定学校数据 同步 配置文件的同步。
注意: 此操作将导致同步重新启动。 将删除遇到的任何错误。 不会从数据中删除任何Azure Active Directory (Azure AD) 。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限
委派(工作或学校帐户)
EduAdministration.ReadWrite
委派 (个人 Microsoft 帐户
不支持。
应用程序
EduAdministration.ReadWrite.All
HTTP 请求
POST /education/synchronizationProfiles/{id}/reset
名称
类型
说明
Authorization
string
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法返回 200 OK 响应代码。
示例
请求
下面展示了示例请求。
POST https://graph.microsoft.com/beta/education/synchronizationProfiles/{id}/reset
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
await graphClient.Education.SynchronizationProfiles["{educationSynchronizationProfile-id}"]
.Reset()
.Request()
.PostAsync();
const options = {
authProvider,
};
const client = Client.init(options);
await client.api('/education/synchronizationProfiles/{id}/reset')
.version('beta')
.post();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/education/synchronizationProfiles/{id}/reset"]]];
[urlRequest setHTTPMethod:@"POST"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
graphClient.education().synchronizationProfiles("{id}")
.reset()
.buildRequest()
.post();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
educationSynchronizationProfileId := "educationSynchronizationProfile-id"
graphClient.Education().SynchronizationProfilesById(&educationSynchronizationProfileId).Reset(educationSynchronizationProfile-id).Post()
Import-Module Microsoft.Graph.Education
Reset-MgEducationSynchronizationProfile -EducationSynchronizationProfileId $educationSynchronizationProfileId
响应
没有响应正文。
HTTP/1.1 200 OK